Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.dojo.views.freemarker.tags
Class DojoModels

    java.lang.Object
      org.apache.struts2.dojo.views.freemarker.tags.DojoModels

    public class DojoModels

extends Object

Field Summary
`protected AnchorModel` | `a`
`protected AutocompleterModel` | `autocompleter`
`protected BindModel` | `bind`
`protected DateTimePickerModel` | `dateTimePicker`
`protected DivModel` | `div`
`protected HeadModel` | `head`
`protected SubmitModel` | `submit`
`protected TabbedPanelModel` | `tabbedPanel`
`protected TextAreaModel` | `textarea`
`protected TreeModel` | `treeModel`
`protected TreeNodeModel` | `treenodeModel`

Constructor Summary
`DojoModels(com.opensymphony.xwork2.util.ValueStack stack, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)`

Method Summary
`AnchorModel` | `getA()`
`AutocompleterModel` | `getAutocompleter()`
`BindModel` | `getBind()`
`DateTimePickerModel` | `getDatetimepicker()`
`DivModel` | `getDiv()`
`HeadModel` | `getHead()`
`SubmitModel` | `getSubmit()`
`TabbedPanelModel` | `getTabbedpanel()`
`TextAreaModel` | `getTextarea()`
`TreeModel` | `getTree()`
`TreeNodeModel` | `getTreenode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dateTimePicker

    protected DateTimePickerModel dateTimePicker

### tabbedPanel

    protected TabbedPanelModel tabbedPanel

### treeModel

    protected TreeModel treeModel

### treenodeModel

    protected TreeNodeModel treenodeModel

### autocompleter

    protected AutocompleterModel autocompleter

### div

    protected DivModel div

### a

    protected AnchorModel a

### submit

    protected SubmitModel submit

### bind

    protected BindModel bind

### head

    protected HeadModel head

### textarea

    protected TextAreaModel textarea

Constructor Detail

### DojoModels

    public DojoModels(com.opensymphony.xwork2.util.ValueStack stack,
                      javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)

Method Detail

### getBind

    public BindModel getBind()

### getTextarea

    public TextAreaModel getTextarea()

### getHead

    public HeadModel getHead()

### getDatetimepicker

    public DateTimePickerModel getDatetimepicker()

### getAutocompleter

    public AutocompleterModel getAutocompleter()

### getTabbedpanel

    public TabbedPanelModel getTabbedpanel()

### getTree

    public TreeModel getTree()

### getTreenode

    public TreeNodeModel getTreenode()

### getDiv

    public DivModel getDiv()

### getA

    public AnchorModel getA()

### getSubmit

    public SubmitModel getSubmit()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.